Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface JMSSessionPoolRuntimeMBean

public interface JMSSessionPoolRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic JMS session pool.

Method Summary
`JMSConsumerRuntimeMBean[]` | `getConnectionConsumers()` Returns the connection consumer for this session pool.
`long` | `getConnectionConsumersCurrentCount()` Returns the current number of connection consumers for this session pool.
`long` | `getConnectionConsumersHighCount()` Returns the peak number of simultaneous connection consumers for this session pool.
`long` | `getConnectionConsumersTotalCount()` Returns the total number of connection consumers made by this session pool since the last reset.
`JMSServerRuntimeMBean` | `getJMSServer()` Returns the JMS server for this session pool.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getJMSServer

    public JMSServerRuntimeMBean getJMSServer()

  Returns the JMS server for this session pool.

### getConnectionConsumers

    public JMSConsumerRuntimeMBean[] getConnectionConsumers()

  Returns the connection consumer for this session pool.

### getConnectionConsumersCurrentCount

    public long getConnectionConsumersCurrentCount()

  Returns the current number of connection consumers for this session pool.

### getConnectionConsumersHighCount

    public long getConnectionConsumersHighCount()

  Returns the peak number of simultaneous connection consumers for this session pool.

### getConnectionConsumersTotalCount

    public long getConnectionConsumersTotalCount()

  Returns the total number of connection consumers made by this session pool since the last reset.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference